Overview

Tray Commander Help

All things considered, the Quick Launch pad and the system tray go on to be the most popular spots for programs that provide fast and easy access to applications, system commands and files. Tray Commander operates, as you can guess from its name, in the system tray.

Tray Commander is a small shell extension that lets you gain access to most frequently used system commands and applications via a customizable menu. The menu in its turn pops up as you click on the program icon in the system tray. You can add your own commands to the menu, specify other options and then only access the commands you need most with a single click.

Supported commands:

  • Load application
  • Open folder
  • Open Special folder
  • Open Control Panel item
  • Open file
  • Open URL
  • Write letter
  • Launch screensaver
  • Make screenshot
  • Reboot computer
  • Shutdown computer
  • Shutdown monitor
  • Open/close CD drive
  • Windows Control
  • Wipe Data
  • Paste text
  • Set video mode
  • Separator
  • Command series
  • Submenu
  • Other commands
Tray Commander Help Manual, Copyright © 2005 Ardamax Software


What's new
Version 2.3
  • "Settings folder" option added
  • "Lock Workstation" command added
  • "Menu" tab added
  • Some improvements and bugfixes

Version 2.2

  • "Always on top" feature added
  • "Windows Control" command added
  • "Wipe Data" command added
  • Some improvements

Version 2.1

  • Import/Export settings
  • Toggle mode for CD drive opening/closing
  • Column separator
  • Tray icon changing
  • Some improvements

Version 2.0

  • New command 'Open Control Panel item'
  • Print Hotkeys list feature
  • New option of the folder opening 'Explorer with tree'
  • Working directory customization for 'Load application' command
  • Some improvements

Version 1.9

  • 'Windows' key support for hotkeys
  • Menu activation on hotkey in Hotkeys Editor
  • 'Search in...' option for 'Open folder' command
  • Tray icon protection from Explorer crush
  • Memory usage and perfomance optimized
  • Some improvements

Version 1.8

  • Hotkeys imprinting
  • Customizable separators
  • New confirmation dialogs (for "Submenu" and "Command series" deletion)
  • 'Open in new window' for URL opening
  • Hotkeys Editor

Version 1.7

  • New modes of computer shutdown: Power Off, Stand By, Hibernate, Logoff
  • Big icons support
  • Command icon change support
  • Confirmation dialogs
  • Some improvements

Version 1.6

  • New XP-style icons
  • New mode of monitor shutdown
  • Middle button click reactions (not only on the tray)
  • Justification with keyboard shortcuts
  • Some improvements

Version 1.5

  • New command - 'Open Special folder'
  • Option 'Add command to high on the list'
  • Automatical menu generation
  • 'Quick launch' items adding with context menu
  • Some improvements

Version 1.4

  • Icons was added to command parameters dialogs.
  • Hot Keys support
  • 'System colors' option was added
  • Interface elaborated
  • Some bugs fixed

Version 1.3

  • Double-click optimization
  • Different methods of items opening
  • Adding of all screensavers
  • Dynamical language changing
  • Automatical CD drive closing
  • Shortcut resolving

Version 1.2

  • Interface was changed
  • Hierarchical menu support
  • New command 'Command series'
  • Selected items moving elaborated
  • Some improvements

Version 1.1

  • 'Copy/Cut/Paste' items in the context menu.
  • Better keyboard support
  • Menu appearance justification
  • Some bugs fixed

Version 1.0

  • First Release


System requirements
  • Operating System:

    • Microsoft Windows 98/Me, Windows NT4.0, Windows 2000, Windows XP

  • CPU:

    • 486 minimum.

  • Memory:

    • 16Mb or more for Windows 98/ME, 32M or more for Windows NT4.0/2000/XP

  • Free hard drive space:

    • 1 Mb


Adding a command to tray launcher

Adding a command

To add any command to menu, please follow steps below:

  • Select action in the dropdown list of added actions, which you want to add a command(s).
  • Select any category in the dropdown list of categories.
  • Select any command(s) in the list of available commands.
  • If you select only one command, double click on it. Then command parameters dialog should appear (if selected command have any parameters).
  • Justify command parameters to your own needs, then press 'OK' button.
  • Now you can see added command in the list of chosen commands.


Adding an action to tray launcher

Adding an action

To add a new reaction on your clicks, please follow steps below:

  • Press 'New' button in the 'Control' Tab. Menu with available reactions will be shown and can select necessary action:

  • Now you'll see added action in the dropdown list of added actions:


 Keyboard shorcuts
Keyboard shortcuts

Common:

F12 - Hotkeys Editor.

Alt+Shift+I - import settings.

Alt+Shift+E - export settings.

Alt+Shift+C - change tray icon.

Ctrl+P - Print Hotkeys list (work only in the Hotkeys editor).

Ins - add selected command.

Ctrl+N - add new action.

Ctrl+M - show menu with actions, which not added to control.

Ctrl+D - delete selected action.

List of chosen commands:

F2 - rename selected command.

F8 - delete selected command(s).

Ctrl+C - copy command(s) to buffer.

Ctrl+X - cut command(s) to buffer.

Ctrl+V - paste command(s) from buffer.

Alt+C - delete all commands for selected action.

Alt+D - kill dupes for selected action.

Alt+Shift+D - add all 'Desktop' files.

Alt+Shift+F - add all urls from 'Favorites' folder.

Alt+Shift+Q - add all 'Quick launch' items.

Alt+Shift+S - add all screensavers.

Alt+Enter - open parameters dialog for selected command.

Ctrl+Shift+Up/Ctrl+Shift+Down - moving Up or Down selected command(s).


Hotkey editor

Hotkeys Editor

When you press F12 key, 'Hotkeys Editor' will appear. Now you can set all commands hotkeys in this editor. Just click on the command which you want to set hotkey, then click on the 'Hotkey' window and press combination to assign.

If you want to print Hotkeys list on the printer, just to press Ctrl+P shortcut.


Common Menu

Menu commands

File

  • Import settings - import program settings
  • Export settings - Export program settings
  • Exit - quit from Tray Commander

Tools

  • Edit Hotkeys - open Hotkeys Editor
  • Change tray icon - program tray icon change
  • Always on top - Tray Commander remains on top and is never hidden behind other windows

Help

  • Contents - help documentation
  • Enter registration key - enter your registration information
  • About - about Tray Commander


Launch application in one click or by hotkey

Application loading

This command allows you to load most often used applications.

Command parameters

Description - description of command.

Path - type in the path to the program or choose it by browsing with the button.

Start In - type in the working directory for the program or choose it by browsing with the button.

Command line - type in the command line parameters.

Open As - specifies how you want the program above to be opened.

HotKey - press the key combination you want to assign with this command.


Open file in one click or by hotkey

File opening

This command allows you to open most often used files.

Command parameters

Description - description of command.

Path - type in the path to the file or choose it by browsing with the button.

Open As - specifies how you want the file to be opened.

HotKey - press the key combination you want to assign with this command.


Open folder in one click or by hotkey

Folder opening

This command allows you to open most often used folders.

Command parameters

Description - description of command.

Location - type in the path to the folder or choose it by browsing with the button.

Mode - there are three available modes of the folder opening:

  • Normal - folder will be opened as normal.
  • Explorer with tree - folder will be opened as an Explorer type window with a tree.
  • Search in... - folder will be opened as a search utility.

Open As - specifies how you want the folder above to be opened.

HotKey - press the key combination you want to assign with this command.


Open special folder in one click or by hotkey

Folder opening

This command allows you to open the Special folders, such as: 'My Documents', 'Control Panel', 'Desktop' and many others.

Command parameters

Description - description of command.

Name - choose in dropdown list necessary Special folder.

Mode - there are three available modes of the Special folder opening:

  • Normal - folder will be opened as normal.
  • Explorer with tree - folder will be opened as an Explorer type window with a tree.
  • Search in... - folder will be opened as a search utility.

Open As - specifies how you want the folder above to be opened.

HotKey - press the key combination you want to assign with this command.


Launch Control Panel item in one click or by hotkey

Control Panel item opening

This command allows you to open the Control Panel items.

Command parameters

Description - description of command.

Name - choose in dropdown list necessary Control Panel item.

HotKey - press the key combination you want to assign with this command.


Paste text in one click or by hotkey

Text paste

This command type allows you to insert text directly into applications.

Command parameters

Description - description of command.

Text to paste- use this box to type the text you want to insert into documents.

HotKey - press the key combination you want to assign with this command.


Open CD drive one click or by hotkey

CD drive opening/closing

This command allows you to open or close your CD-ROM drive(s).

Command parameters

Description - description of command.

Action - type of CD tray open:

  • Open - open CD drive.
  • Close - close CD drive.
  • Open/Close - toggle open/close CD drive.

Secs - if you want to closing the CD drive automatically, select number of seconds which in a drive closed.

Device - select device to control.

HotKey - press the key combination you want to assign with this command.


Open web page in one click or by hotkey

URL opening

Use this action type to open a web page in your default web browser.

Command parameters

Description - description of command.

Address - enter the URL (web page address) you want to be opened.

Open As - specifies how you want the URL above to be opened.

HotKey - press the key combination you want to assign with this command.


Shutdown computer in one click or by hotkey

Computer shutdown

This command allows you to shutdown computer.

Command parameters

Description - description of command.

Mode - type of computer shutdown:

  • Power Off - Shuts down the system and turns off the power. The system must support the power-off feature.
  • Stand By - the system suspends using RAM-alive technique.
  • Hibernate - the system suspends using hibernation technique
  • Logoff - logs the user off.
  • Lock Workstation - locks the workstation.

Force mode - forces applications to terminate for more quickly shutdown. This can cause the applications to lose data. Therefore, you should only use this flag in an emergency.

HotKey - press the key combination you want to assign with this command.


Reboot computer in one click or by hotkey

Computer rebooting

This command allows you to reboot computer.

Command parameters

Description - description of command.

Force mode - forces applications to terminate for more quickly reboot. This can cause the applications to lose data. Therefore, you should only use this flag in an emergency.

HotKey - press the key combination you want to assign.


Power Off monitor in one click or by hotkey

Monitor shutdown

This command allows you to control of monitor power.

Command parameters

Description - description of command.

Sleep - switch monitor state to sleep.

Power Off - monitor power off.

HotKey - press the key combination you want to assign with this command.


Clear hostory, cookies, recycle bin and recent documents

Data erasing

This command allows you to erase unnecessary data.

Command parameters

Description - description of command.

Data - choose in dropdown list necessary data.

  • Recycle Bin - empty recycle bin
  • Cookies - wipe cookies
  • History - wipe history
  • Temporary Internet Files - clear temporary internet files.
  • Recent - clear recent documents.

HotKey - press the key combination you want to assign with this command.


Close, minimize, cascade and tile all windows

Windows Control

This command allows you to control the taskbar windows.

Command parameters

Description - description of command.

Action- choose in dropdown list necessary action.

  • Close - close all taskbar windows
  • Minimize - minimize taskbar windows
  • Cascade - cascade taskbar windows
  • Tile Vertical - tile taskbar windows vertically
  • Tile Horizontal - tile taskbar windows horizontally

HotKey - press the key combination you want to assign with this command.


Write letter in one click

Letter writing

This command allows you to open the window for writing letter with already filled fields of the address and subject.

Command parameters

Description - description of command.

To - enter the e-mail address you want to be send letter.

Subject - enter the subject of letter.

HotKey - press the key combination you want to assign with this command.


Make screenshot one click or by hotkey

Screenshot writing

This command allows you to write the screenshot to Windows Clipboard or file.

Command parameters

Description - description of command.

To clipboard - screenshot will be write to clipboard.

To file - screenshot will be write to file.

Only current window - will be recorded only active window.

HotKey - press the key combination you want to assign with this command.


launch screensaver in one click or by hotkey

Screensaver launching

This command allows you quickly to launch any screensaver, installed on your computer (these screensavers must be in Windows System directory).

Command parameters

Description - description of command.

Name - choose in dropdown list necessary screensaver.

Button with a 'Procket' icon - you may to adjust choosen screensaver parameters.

Button with a 'Play' icon - you may to see choosen screensaver.

HotKey - press the key combination you want to assign with this command.


Set video mode in one click or by hotkey

Video mode setting

This command allows you to set any one of available video modes, which supports your video adapter.

Command parameters

Description - description of command.

HotKey - press the key combination you want to assign with this command.


Customizable separator in the tray menu

Separator

This command does not execute any action, but shows the separator in menu, for grouping menu items.

Command parameters

Description - description of separator.

Type - type of separator:

  • Default - default separator.
  • Custom - custom separator:
    • Font - separator font selection.
    • Color box - separator background color.
  • Column - column separator.


Execute command series in one click or by hotkey

Command Series

This command allows you to execute several commands by one click. If you want to open several folders, applications or files by one click on the menu - use it. When you add this command, new item will be automatically add to dropdown list of categories. Then you may to select added category and add necessary commands.

Command parameters

Description - description of command.

HotKey - press the key combination you want to assign with this command.


Submenu

If you want to create a hierarchical menu, use this command. When you add it, new item will be automatically add to dropdown list of categories. Then you may to select added category and add necessary commands, which displayed in the created submenu. This command does not have any parameters, but you can rename it.


Miscellaneous commands

Other commands

1. Options

This command opens the main window of Tray Commander. This command is recommended add in menu to always have an access to parameter of the program.

Command parameters

Description - description of command.

HotKey - press the key combination you want to assign with this command.

2. Help

This command opens this help.

Command parameters

Description - description of command.

HotKey - press the key combination you want to assign with this command.

3. Exit

This command allows you to quit from Tray Commander.

Command parameters

Description - description of command.

HotKey - press the key combination you want to assign with this command.

4. About

This command shows registration information and version of Tray Commander .


Control

"Control" Tab

In this Tab you may to adjust program reaction on your actions.

Actions

'New' button - press this button and menu with available reactions will be shown.

'Delete' button - removing reaction, which chosen in the right dropdown list.

Dropdown list shows the added actions.

Available commands

Dropdown list shows the current category of commands. There are two available categories of available commands:

  • 'Common' category - this category contain most often used commands.
  • 'Video modes' - this category contain all available video modes, which supports your video adapter.

List below dropdown list shows commands, which may be added to list of choosen commands.

Chosen commands

Dropdown list shows the current category of choosen commands. The are 4 available categories:

  • Commands - these commands will be executed immediately on action, which you currently set in the dropdown list of added actions. Use it with carefully.
  • Top menu - these commands will be show in the menu.
  • Submenu - these commands will be show in submenu of top menu.
  • Command series - these commands will be executed on menu command.

If you add 'Submenu' or 'Command series' from list of available commands, new item will be added to dropdown list of categories.

Buttons

Add - if you select command(s) in the list of available commands and press this buttons, all command(s) you select will be added to list of chosen commands.

Remove - removing of selected command(s) in the list of chosen commands.

Properties - setting selected command properties, which added to list of choosen commands.

Up/Down - moving up or down selected commands in th list of chosen commands.


Menu

"Menu" Tab

In this tab you may to adjust menu parameters.

Menu header

Show header - if this flag is checked, header of menu will be shown.

Font - header font selection.

Same settings for all - if this flag is checked, all menu headers will be same.

Dropdown list - choose click type which you want to set parameters.

Color 1, Color 2 - you may to choose header colors (top and bottom). Simple click on coor rectangle.

Header text - type text which you want to display on header.

Menu item

Font - menu item font selection.

Dropdown list - icon appearance:

  • 32x32 icons - big icons in the menu.
  • 16x16 icons - small icons in the menu.
  • No icons - menu without icons.

System Colors - menu all items colors sets to system default.

Selected text color - color of selected text in menu.

Background color - color of nonselected background in menu.

Selected background color - color of selected background in menu.


Options

"Options" Tab

In this tab you may to adjust program parameters.

Common

Language - in this dropdown list you may to choose interface language.

On adding command open properties - if this flag is checked, on adding command(s) will be immediately opened dialog box with properties of addition command.

Load at windows startup - if this flag is checked, Tray Commander will be loaded automatically at windows startup.

Hide on launch - if this flag is checked, Tray Commander will not displays main window at startup.

Do not resolve shortcuts - if this flag is checked, for commands 'Load application', 'Open file' and 'Open folder' in field 'Path' will fit not path to file, specified in chosen shortcut, but shortcut itself.

Add commands to high on the list - all addition items are puts to high on the list of chosen commands.

Settings folder - the directory where the Tray Commander's settings files will be stored.


FAQ

Frequently Asked Questions
  • What Tray Commander versions is the registration code valid for?

    The registration code will be valid for all Tray Commander 2.xx, 3.xx and so on (if such versions will appear). All language versions of Tray Commander use the same registration keys.
  • How much system resources does Tray Commander take?

    Tray Commander takes few system resources and will not impact on performance of your system.
  • Why does Tray Commander Help not work?

    Tray Commander uses HTML Help. So you must have HTML Help Viewer preinstalled. Earlier versions of MS Windows do not include it by default. HTML Help Viewer is distributed for no charge. You can download it from Microsoft Corp. official site. Download
  • Is there Japanese, Thai, etc version of Tray Commander?

    Currently, no. If you would like to help us translate Tray Commander to your native language let us know.
  • How can I set Tray Commander options after removing 'Options...' command from list of chosen commands?

    When Tray Commander is working, try to run it once again. Then program options window will be appear.
  • How to change an command icon?

    Simply click on icon in the 'Properties' dialog of command, which you want to change.

If you have a question that is not included in the Tray Commander Help, please e-mail us: support@ardamax.com


Technical support

If you have any problems with Tray Commander you can contact our tech support by emailing support@ardamax.com

Please, make sure you tell us as much information as you can about the problem you are experiencing, including any error or warning messages that may have been displayed.

Inform us about the following:

  • Tray Commander version (from About dialog);
  • Where did you get Tray Commander (http or ftp site);
  • Windows version, US or international, OEM or not;
  • Description of your problem (as much information as possible to retrieve the problem).

We'll try to help you as fast as possible, usually in one or two business days.

If you have any comments or suggestions for the next releases, please feel free to post them to us.


Order Tray Commander

How to register

Tray Commander is neither freeware nor public domain. Use after the 30 day trial period requires registration. The registration fee is only $19.95.

Registration Benefits:

  • You will never see the "Nag" screen.
  • Trial will NOT expire in 30 days
  • Full technical support.

Additional info

We accept five types of payment: Online, Fax, Phone, Wire Transfer and Mail.

You can select one of the following ways of payment:

1) You can go directly to the order page:

https://secure.element5.com/shareit/checkout.html?productid=164222 (Europe)

2) If your browser or firewall doesn't support secure pages, please use the following non-secure link:

http://www.regnow.com/softsell/nph-softsell.cgi?item=9616-1 (US/Canada) or

http://shareit1.element5.com/programs.html?productid=164222 (Europe)

On payment approval (usually, in one business day), we'll send you the registration key which will remove all limitations of unregistered version. Your registration will be valid for ALL future versions of Tray Commander.

If you will not get your registration key within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us about that at support@ardamax.com. We are very sorry for any inconvenience caused by those delays.

Important: when filling the order form, please double-check that your e-mail address is correct. If it will not, we'll be unable to send you the registration code.